<div class="pt-3 pb-1" id="breadcrumbs-wrapper">
  <!-- Search for small screen-->
  <div class="container">
    <div class="row">
      <div class="col s12 m6 l6">
        <h5 class="breadcrumbs-title mt-0 mb-0"><span>Liste des contrats</span></h5>
      </div>
      <div class="col s12 m6 l6 right-align-md">
        <ol class="breadcrumbs mb-0">
          <li class="breadcrumb-item"><a [routerLink]="['/DashbordReservation']">Acceuil</a>
          </li>
          <li class="breadcrumb-item">Gestion des contrats
          </li>
          <li class="breadcrumb-item active">Liste des contrats
          </li>
        </ol>
      </div>
    </div>
  </div>
</div>

<div class="section section-data-tables">

  <!-- Page Length Options -->
  <div class="row">
  <div class="col s12">
    <div class="card">
      <div class="card-content">
      
  
        <h4 class="card-title">Liste des Contrats</h4>
  
      
        <br/>
        <div class="row">
          <div class="col s12">
            <table id="page-length-option" class="display">
              <thead>
                <tr>
                  <th>N° Contrat </th>
                  <th>Client</th>
                  <th>Date</th>
                  <th>Periode de </th>
                  <th>Periode a </th>
                  <th>Prix totale</th>
                  
                  <th>Action</th>
                </tr>
              </thead>
              <tbody>
                <tr *ngFor="let c of contrats; index as i;">
                  
  
                  <td><a href="VoirContrat?id={{c.id}}">INV-{{c.id.substr(0, 5)}}</a></td>
                  <td>
                    <div *ngFor="let cl of clients">
                      <div *ngIf="c.ClientId === cl.id">
                        {{cl.nom}}  {{cl.prenom}}
                      </div>
                    </div>
                  </td>
                  <td>{{c.date}}</td>
                  <td>{{c.periodede}}</td>
                  <td>{{c.periodea}}</td>
                 <td>{{c.prixtotal}}</td>
                  
                  <td>
                    <a class='dropdown-trigger' href='#' [attr.data-target]="'dropdown' + i">
                    <i class="material-icons">arrow_drop_down</i>
                  </a>
                  <ul id='dropdown{{i}}' class='dropdown-content' >
                    <li><a  class="modal-trigger"  href="VoirContrat?id={{c.id}}"> Voir</a></li>
                  <li><a class="modal-trigger" (click)="delete(c.id)"> Supprimper</a></li>
                 
                  </ul>
                </td>
                  
                
                
               
            </tr>
        </tbody>
      </table>
    </div>
  </div>
  </div>
  </div>
  </div>
  </div>
  </div>
